/*
 * common.c
 *
 *  Created on: 20-02-2017
 *      Author: P. Horban <p.horban@mimuw.edu.pl>
 */

#include <assert.h>

#include "common.h"

line_seq_nr_t max(line_seq_nr_t a, line_seq_nr_t b) {
	if (a < b)
		return b;
	return a;
}

line_seq_nr_t min(line_seq_nr_t a, line_seq_nr_t b) {
	if (a < b)
		return a;
	return b;
}

const char *LVL_STR[] = {
		"OFF ",
		"FAIL",
		"ERR ",
		"WARN",
		"INFO",
		"DEB ",
		"TRAC",
		"TRA2",
		"TRA3",
};

const char *_lvl_to_str(size_t lvl) {
	assert(lvl < (sizeof(LVL_STR) / sizeof(char*)));
	return LVL_STR[lvl];
}
