/*
 * config_file.h
 *
 *  Created on: Feb 20, 2017
 *      Author: P. Horban <p.horban@mimuw.edu.pl>
 */

#ifndef CONFIG_FILE_H_
#define CONFIG_FILE_H_

#include <stdlib.h>
#include <stdint.h>
#include "linetc.h"

typedef struct {
	size_t max_memory_use;
	linetc_conf_t linetc_conf;
	uint16_t server_port;
	char server_ip[50];
} app_config_t;

int read_config_file(char *file_path, app_config_t *app_config);

#endif /* CONFIG_FILE_H_ */
